Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::Analysis Class Reference

A PangoAnalysis C++ wrapper class. More...

`#include <inti/pango/item.h>`

List of all members.

## Public Member Functions

Accessors

- PangoAnalysis * pango_analysis () const
    Get a pointer to the PangoAnalysis structure.
- PangoEngineShape * shape_engine () const
    Get a pointer to the PangoEngineShape structure.
- PangoEngineLang * lang_engine () const
    Get a pointer to the PangoEngineLang structure.
- Pango::Font * font () const
    Returns the font for this segment.
- guint8 level () const
    Returns the bidrectional level for this segment.
- PangoLanguage * language () const
    Returns the language tag for this segment.
- bool extra_attributes (std::vector< Pointer< Attribute > > &attrs) const
    Gets a list of attributes that apply to this segment.

## Detailed Description

A PangoAnalysis C++ wrapper class.

Analysis is a read-only object that stores information about the properties of a segment of text. You can obtain an Analysis by calling Pango::Context::itemize() which returns a vector of Pointer<Item>. Each Item has an analysis() accessor that returns a reference to the item's Analysis object.

## Member Function Documentation

bool Inti::Pango::Analysis::extra_attributes | ( | std::vector< Pointer< Attribute > > & | attrs | ) | const

  | Gets a list of attributes that apply to this segment. Parameters:
  attrs | A reference to a vector of Pointer<Attribute> to hold the list of attributes.
Returns: true if the vector is not empty.

The documentation for this class was generated from the following file:

- pango/item.h

Main Page - Footer